/* definitions */
/* Stil */
$data-style-list:
	"":"Auto",
	"d-box-light":"Box bright", 
	"d-box-dark":"Box dark", 
	"d-box-color":"Box color",
	"d-box-transparent":"Box transparent",
	"d-box-contour":"Box contour",
	"d-box-color d-box-title":"Box title"
;
$data-email-style-list:
	"":"Auto",
	"d-box-light":"Box bright", 
	"d-box-dark":"Box dark", 
	"d-box-color":"Box color",
	"d-box-transparent":"Box transparent",
	"d-box-contour":"Box contour"
;

/* Kontur */
$data-border-list:
	"":"Auto",
	"box-border-dark": "Dark",
	"box-border-color": "Color"
;
$data-email-border-list = $data-border-list;

/* Hintergrundfarbe */
$data-background-list:
	"":"Auto",
	"box-background-light": "Bright",
	"box-background-deco4": "Türkis",
	"box-background-dark": "Dark",
	"box-background-color": "Color"
;
$data-email-background-list = $data-background-list;

/* Abstände  */
$data-margin-list:
	"":"Auto",
	"mod-reset-brick-margins":"None"
;
$data-email-margin-list = $data-margin-list;

/* Innenabstände */ 
$data-padding-list:
	"":"Auto",
	"box-padding-s":"Small",
	"box-padding-m":"Medium",
	"box-padding-l":"Large",
	"box-padding-none":"None"
;
$data-email-padding-list = $data-padding-list;

/* Einpassung  */
$data-fitting-list:
	"section-bleed":"Auto",
	"":"Content width",
	"section-large":"Large width",
	"section-half":"Small width"
;
$data-email-fitting-list = $data-fitting-list;


.section.full-height {
	flex: 1 0 auto;
}


/* section box styles */
.d-box-light {
	background-color: colors/$grey6;
	padding-top: look/$spacing-box;
	padding-right: look/$spacing-box;
	padding-bottom: look/$spacing-box;
	padding-left: look/$spacing-box;
	
	@Mobile {
		padding-top: 20px !important;
		padding-right: 20px !important;
		padding-bottom: 20px !important;
		padding-left: 20px !important;
	}
}
.section.d-box-light { @extend .d-box-light; }
.d-box-dark {
	background-color: colors/$grey1;
	padding-top: look/$spacing-box;
	padding-right: look/$spacing-box;
	padding-bottom: look/$spacing-box;
	padding-left: look/$spacing-box;
}
.section.d-box-dark { @extend .d-box-dark; }
.d-box-color {
	background-color: colors/$deco4;
	padding-top: look/$spacing-box;
	padding-right: look/$spacing-box;
	padding-bottom: look/$spacing-box;
	padding-left: look/$spacing-box;
}
.section.d-box-color { @extend .d-box-color; }
.d-box-transparent {
	background-color: colors/$transparent;
	padding-top: look/$spacing-column;
	padding-right: look/$spacing-column;
	padding-bottom: look/$spacing-column;
	padding-left: look/$spacing-column;
}
.section.d-box-transparent { @extend .d-box-transparent; }
.d-box-contour {
	background-color: colors/$grey7;
	border: solid 20px colors/$grey6;
	padding-top: look/$spacing-box-small;
	padding-right: look/$spacing-box-small;
	padding-bottom: look/$spacing-box-small;
	padding-left: look/$spacing-box-small;
}
.section.d-box-contour { @extend .d-box-contour; }

/* special heading box */
.d-box-color.d-box-title {
	padding-bottom: 118px;
	padding-top: look/$spacing-box-small;
	padding-right: look/$spacing-box-small;
	padding-left: look/$spacing-box-small;
	max-width: 100% !important;
	color: colors/$grey7;
	
	@Tablet {
		padding-top: 40px;
	}
}
.section.d-box-color.d-box-contour { @extend .d-box-contour; }





/* reset brick paddings if multicolumn parent has no spacing */
.b-mc-space-no > .col.d-box-light {
	padding-left: 40px;
	padding-right: 40px;
}
.b-mc-space-no > .col.d-box-dark {
	padding-left: 40px;
	padding-right: 40px;
}
.b-mc-space-no > .col.d-box-color {
	padding-left: 40px;
	padding-right: 40px;
}
.b-mc-space-no > .col.d-box-transparent {
	padding-left: look/$spacing-column;
	padding-right: look/$spacing-column;
}

.b-mc-space > .col.d-box-light {
	padding-left: 40px;
	padding-right: 40px;
}
.b-mc-space > .col.d-box-dark {
	padding-left: 40px;
	padding-right: 40px;
}
.b-mc-space > .col.d-box-color {
	padding-left: 40px;
	padding-right: 40px;
}
.b-mc-space > .col.d-box-transparent {
	padding-left: look/$spacing-column;
	padding-right: look/$spacing-column;
}


/* contour */
.d-box-contour.box-border-dark {
	border-color: colors/$grey1;
}
.d-box-contour.box-border-color {
	border-color: colors/$deco1;
}

/* padding */
.section.box-padding-s { padding: look/$spacing-column; }
.section.box-padding-m { padding: 50px; }
.section.box-padding-l { padding: 60px; }
.section.box-padding-xl { padding: 100px; }
.section.box-padding-none { padding: 0; }

.box-padding-m {
	@extend .section.box-padding-m;
}

/* background  */
.box-background-light { background-color: colors/$grey6; } 
.box-background-dark { background-color: colors/$grey1; } 
.box-background-color { background-color: colors/$deco1; } 
.box-background-deco4 { background-color: colors/$deco4; } 

/* alignment */
.content-align-center {
	margin-left: auto;
	margin-right: auto;
}
.content-align-left {
	margin-left: 0;
	margin-right: auto;
}
.content-align-right {
	margin-left: auto;
	margin-right: 0;
}

.section {
	margin-left: auto;
	margin-right: auto;
    width: 100%;
	
	max-width: look/$content-max-width;
	background-size: cover;
	background-position: center;
	
	@Tablet {
		max-width: calc(100vw - 2 * look/$spacing-page-mobile);
	}
	
	&.section-large @Tablet {
		padding-left:0;
		padding-right:0;
	}
	
	&.small-margin {
		margin-top: 10px;
	}
}

.section.nlow {
	width: 740px;
}

.section.section-bleed {
	max-width: 100%;
}



/* read this first: https://lists.w3.org/Archives/Public/www-style/2013Jan/0200.html */
/* please do not change or modify this without understanding it - MW, LS */
.vw-overflow-fix {
	.section.section-bleed @Tablet {
		max-width: 100%;
	}
	.section @Tablet {
		max-width: calc(100vw - 2 * look/$spacing-page-mobile - 17px);
	}
}



.s-space {
	padding-left: look/$spacing-column;
	padding-right: look/$spacing-column;
}
.s-space-no {
	
}
.section-half {
	max-width: look/$content-half-max-width;
}
.section-large {
	max-width: look/$content-large-width;
	padding:0 look/$spacing-box;
}

.section-fitting-middle {
	justify-content: center;
}
.section-fitting-bottom {
	justify-content: flex-end;
}


/* video background */
.s-video-positioner {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
	overflow: hidden;
	
	video {
		width: 100%;
		height: 100%;
		object-fit: cover;
	}
}
.s-video-bricks {
	position: relative;
	z-index: 2;
	display: flex;
    flex-direction: column;
    height: 100%;
}

/* bo */
.bo-sl-option-box-border-dark { background-color: colors/$grey1; }
.bo-sl-option-box-border-color { background-color: colors/$deco1; }


.bo-sl-option-box-background-light { background-color: colors/$grey6; }
.bo-sl-option-box-background-dark { background-color: colors/$grey1; }
.bo-sl-option-box-background-color { background-color: colors/$deco1; }